﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1.Models
{
    public class SalesDataList : List<SalesData>
    {
        public SalesDataList SelectCategory(string code)
        {
            SalesDataList value = new SalesDataList();

            List<SalesData> list = this.FindAll(delegate(SalesData data)
            {
                return (data.CategoryCode == code);
            });

            value.AddRange(list);
            return value;
        }
    }

    public class SalesData
    {
        public SalesData()
        {
        }

        private DateTime _date = DateTime.Now;
        public DateTime Date
        {
            get { return this._date; }
            set { this._date = value; }
        }

        private string _categoryCode = string.Empty;
        public string CategoryCode
        {
            get { return this._categoryCode; }
            set { this._categoryCode = value; }
        }

        private int _proceeds = 0;
        public int Proceeds
        {
            get { return this._proceeds; }
            set { this._proceeds = value; }
        }

        private int _payments = 0;
        public int Payments
        {
            get { return this._payments; }
            set { this._payments = value; }
        }

        private int _grossMargin = 0;
        public int GrossMargin
        {
            get { return this._grossMargin; }
            set { this._grossMargin = value; }
        }
    }
}
